Index: /LMDZ5/branches/testing/libf/phylmd/phytrac_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/phytrac_mod.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/phytrac_mod.F90	(revision 2220)
@@ -310,6 +310,11 @@
     !RomP >>>
     INTEGER,SAVE  :: iflag_lscav_omp,iflag_lscav
+    REAL, SAVE ::   ccntrAA_in,ccntrAA_omp
+    REAL, SAVE ::   ccntrENV_in,ccntrENV_omp
+    REAL, SAVE ::   coefcoli_in,coefcoli_omp
+
     LOGICAL,SAVE  :: convscav_omp,convscav
 !$OMP THREADPRIVATE(iflag_lscav)
+!$OMP THREADPRIVATE(ccntrAA_in,ccntrENV_in,coefcoli_in)
 !$OMP THREADPRIVATE(convscav)
     !RomP <<<
@@ -412,7 +417,16 @@
        iflag_lscav_omp=1
        call getin('iflag_lscav', iflag_lscav_omp)
+       ccntrAA_omp=1
+       ccntrENV_omp=1.
+       coefcoli_omp=0.001
+       call getin('ccntrAA', ccntrAA_omp)
+       call getin('ccntrENV', ccntrENV_omp)
+       call getin('coefcoli', coefcoli_omp)
 !$OMP END MASTER
 !$OMP BARRIER
        iflag_lscav=iflag_lscav_omp
+       ccntrAA_in=ccntrAA_omp
+       ccntrENV_in=ccntrENV_omp
+       coefcoli_in=coefcoli_omp
        !
        SELECT CASE(iflag_lscav)
@@ -463,7 +477,7 @@
                 IF (convscav.and.aerosol(it)) THEN
                    flag_cvltr(it)=.true.
-                   ccntrAA(it) =1.0         !--a modifier par JYG a lire depuis fichier 
-                   ccntrENV(it)=1.0 
-                   coefcoli(it)=0.001
+                   ccntrAA(it) =ccntrAA_in    !--a modifier par JYG a lire depuis fichier 
+                   ccntrENV(it)=ccntrENV_in
+                   coefcoli(it)=coefcoli_in
                 ELSE 
                    flag_cvltr(it)=.false.
@@ -613,4 +627,6 @@
                 !--with the full array tr_seri even if only item it is processed
 
+                print*,'CV SCAV ',it,ccntrAA(it),ccntrENV(it)
+
                 CALL cvltr_scav(pdtphys, da, phi,phi2,d1a,dam, mp,ep,         &
                      sigd,sij,wght_cvfd,clw,elij,epmlmMm,eplaMm,              &     
@@ -747,4 +763,6 @@
           !
           DO it = 1, nbtr
+
+             IF (aerosol(it)) THEN
              !  incloud scavenging and removal by large scale rain ! orig : ql_incl was replaced by 0.5e-3 kg/kg
              ! the value 0.5e-3 kg/kg is from Giorgi and Chameides (1986), JGR
@@ -763,4 +781,6 @@
              ENDDO
              CALL minmaxqfi(tr_seri(:,:,it),0.,1.e33,'lsc scav it = '//solsym(it))
+             ENDIF
+
           END DO  !tr
 
Index: /LMDZ5/branches/testing/libf/phylmd/radlwsw_m.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/radlwsw_m.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/radlwsw_m.F90	(revision 2220)
@@ -765,5 +765,5 @@
 ! RII0 = RIP0M15 ! =rip0m if Morcrette non-each time step call.
          RII0=solaire/zdist/zdist
-	print*,'+++ radlwsw: solaire ,RII0',solaire,RII0
+!print*,'+++ radlwsw: solaire ,RII0',solaire,RII0
 !  %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
 ! Ancien appel a RECMWF (celui du cy25)
@@ -819,5 +819,5 @@
          ok_ade, ok_aie, flag_aerosol,flag_aerosol_strat) ! flags aerosols
             
-         print *,'RADLWSW: apres RECMWF'
+!        print *,'RADLWSW: apres RECMWF'
       if(lldebug) then
         CALL writefield_phy('zemtd_i',ZEMTD_i,klev+1)
@@ -954,5 +954,5 @@
          zsollwdown(i)= ZFLDN(i,1)
       ENDDO
-      print*,'OK2'
+!     print*,'OK2'
 
 ! extrait de SW_AR4
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_lw_rrtm.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_lw_rrtm.F90	(revision 2220)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/aeropt_lw_rrtm.F90	(revision 2220)
@@ -0,0 +1,13 @@
+!
+! aeropt_lw_rrtm.F90 2014-05-13 C. Kleinschmitt
+!
+
+SUBROUTINE AEROPT_LW_RRTM
+
+  USE phys_state_var_mod, ONLY : tau_aero_lw_rrtm
+
+  IMPLICIT NONE
+
+  tau_aero_lw_rrtm(:,:,:,:)=0.0
+
+END SUBROUTINE AEROPT_LW_RRTM
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/radlsw.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/radlsw.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/radlsw.F90	(revision 2220)
@@ -1062,5 +1062,5 @@
 !                 ------------------------------------
 
-print *,'RADLSW: LPHYLIN, LRRTM',LPHYLIN, LRRTM
+!print *,'RADLSW: LPHYLIN, LRRTM',LPHYLIN, LRRTM
 IF (.NOT.LPHYLIN) THEN
   IF ( .NOT. LRRTM) THEN
@@ -1074,5 +1074,5 @@
      & ZEMIT , PFLUX , PFLUC &
      & )  
-    print *,'RADLSW: apres CALL LW'
+!   print *,'RADLSW: apres CALL LW'
     IF(LLDEBUG) THEN
     call writefield_phy('radlsw_flux1',PFLUX(:,1,:),klev+1)
@@ -1101,5 +1101,5 @@
     ENDDO
 
-    print *,'RADLSW: avant CALL RRTM_RRTM_140GP,PAP=',PAP(1,:)
+!   print *,'RADLSW: avant CALL RRTM_RRTM_140GP,PAP=',PAP(1,:)
     CALL RRTM_RRTM_140GP &
      & ( KIDIA , KFDIA , KLON  , KLEV,&
@@ -1111,5 +1111,5 @@
      & PTAU_LW,&
      & ZEMIT , PFLUX , PFLUC , ZTCLEAR )
-    print *,'RADLSW: apres CALL RRTM_RRTM_140GP'
+!   print *,'RADLSW: apres CALL RRTM_RRTM_140GP'
 
   ENDIF
@@ -1118,5 +1118,5 @@
   PFLUX(:,:,:)= 0.0_JPRB
   PFLUC(:,:,:)= 0.0_JPRB
-  print *,'RADLSW: ZEMIT,PFLUX et PFLUC = 0'
+! print *,'RADLSW: ZEMIT,PFLUX et PFLUC = 0'
 ENDIF
 
Index: /LMDZ5/branches/testing/libf/phylmd/rrtm/sw1s.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/rrtm/sw1s.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/rrtm/sw1s.F90	(revision 2220)
@@ -304,5 +304,5 @@
 
 ELSEIF (NSW == 6) THEN
-print *,'... dans SW1S: NSW=',NSW
+!print *,'... dans SW1S: NSW=',NSW
 
 !*         3.2   SIX SPECTRAL INTERVALS
Index: /LMDZ5/branches/testing/libf/phylmd/surf_land_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_land_mod.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_land_mod.F90	(revision 2220)
@@ -85,5 +85,4 @@
     REAL, DIMENSION(klon) :: pref_tmp
     REAL, DIMENSION(klon) :: swdown     ! downwelling shortwave radiation at land surface
-    REAL, DIMENSION(klon) :: lwdown     ! downwelling longwave radiation at land surface
     REAL, DIMENSION(klon) :: epot_air           ! potential air temperature
     REAL, DIMENSION(klon) :: tsol_rad, emis_new ! output from interfsol not used
@@ -106,11 +105,9 @@
        pref_tmp(1:knon)  = pref(1:knon)/100.
 ! 
-!* Calculate incoming flux for SW and LW interval: swdown, lwdown
+!* Calculate incoming flux for SW and LW interval: swdown
 !
        swdown(:) = 0.0
-       lwdown(:) = 0.0
        DO i = 1, knon
           swdown(i) = swnet(i)/(1-albedo(i))
-          lwdown(i) = lwnet(i) + RSIGMA*tsurf(i)**4
        END DO
 !
Index: /LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_ocean_mod.F90	(revision 2220)
@@ -123,5 +123,5 @@
             AcoefU, AcoefV, BcoefU, BcoefV, &
             ps, u1, v1, tsurf_in, &
-            radsol, snow, agesno, &
+            radsol, snow, &
             qsurf, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
             tsurf_new, dflux_s, dflux_l, lmt_bils)
Index: /LMDZ5/branches/testing/libf/phylmd/surf_seaice_mod.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surf_seaice_mod.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/surf_seaice_mod.F90	(revision 2220)
@@ -25,4 +25,5 @@
   USE ocean_forced_mod, ONLY : ocean_forced_ice
   USE ocean_cpl_mod, ONLY    : ocean_cpl_ice
+  USE ocean_slab_mod, ONLY   : ocean_slab_ice
   USE indice_sol_mod
 
@@ -108,15 +109,15 @@
             tsurf_new, dflux_s, dflux_l)
        
-!    ELSE IF (type_ocean == 'slab'.AND.version_ocean=='sicINT') THEN
-!       CALL ocean_slab_ice( & 
-!          itime, dtime, jour, knon, knindex, &
-!          debut, &
-!          tsurf, p1lay, cdragh, precip_rain, precip_snow, temp_air, spechum,&
-!          AcoefH, AcoefQ, BcoefH, BcoefQ, &
-!          ps, u1, v1, &
-!          radsol, snow, qsurf, qsol, agesno, tsoil, &
-!          alb1_new, alb2_new, evap, fluxsens, fluxlat, &
-!          tsurf_new, dflux_s, dflux_l)
-!
+    ELSE IF (type_ocean == 'slab'.AND.version_ocean=='sicINT') THEN
+       CALL ocean_slab_ice( & 
+          itime, dtime, jour, knon, knindex, &
+          tsurf, p1lay, cdragh, cdragm, precip_rain, precip_snow, temp_air, spechum,&
+          AcoefH, AcoefQ, BcoefH, BcoefQ, &
+            AcoefU, AcoefV, BcoefU, BcoefV, &
+          ps, u1, v1, &
+          radsol, snow, qsurf, qsol, agesno, &
+          alb1_new, alb2_new, evap, fluxsens, fluxlat, flux_u1, flux_v1, &
+          tsurf_new, dflux_s, dflux_l, swnet)
+
       ELSE ! type_ocean=force or slab +sicOBS or sicNO
        CALL ocean_forced_ice( &
Index: /LMDZ5/branches/testing/libf/phylmd/surface_data.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/surface_data.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/surface_data.F90	(revision 2220)
@@ -7,6 +7,4 @@
   REAL, PARAMETER        :: tau_gl=86400.*5.
   REAL, PARAMETER        :: calsno=1./(2.3867e+06*.15)
-  REAL, PARAMETER        :: t_freeze=271.35
-  REAL, PARAMETER        :: t_melt=273.15
   
   LOGICAL, SAVE          :: ok_veget      ! true for use of vegetation model ORCHIDEE
Index: /LMDZ5/branches/testing/libf/phylmd/thermcell_main.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/thermcell_main.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/thermcell_main.F90	(revision 2220)
@@ -976,4 +976,8 @@
       enddo
 
+! Ale sec (max de wmax/2 sous la zone d'inhibition) dans
+! le cas iflag_trig_bl=3
+      IF (iflag_trig_bl==3) Ale_bl(:)=0.5*wmax_sec(:)**2
+
 !test:calcul de la ponderation des couches pour KE
 !initialisations
Index: /LMDZ5/branches/testing/libf/phylmd/thermcell_plume.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/thermcell_plume.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/thermcell_plume.F90	(revision 2220)
@@ -359,6 +359,4 @@
                    zbuoyjam(ig,l)=fact_shell*RG*(ztva_est(ig,l)-ztv_est(ig,l))/ztv_est(ig,l) &
     &                    +(1.-fact_shell)*zbuoy(ig,l)
-         print*,'on est pass?? par l??1',l,lt,ztv1,ztv2,ztv(ig,lt),ztv_est(ig,l),ztva_est(ig,l),ztv(ig,l), &
-   &                                   zinv,zlmelup,zbuoy(ig,l),zbuoyjam(ig,l)
                 elseif (zlmelup.ge.zinv) then
                  ztv_est2=atv2*0.5*(zlmelup+zinv)+btv2
@@ -370,12 +368,8 @@
     &            ztv_est1)/ztv_est1)+(1.-fact_shell)*zbuoy(ig,l)
 
-         print*,'on est pass?? par l??2',l,lt,ztv_est1,ztv_est2,ztv(ig,lt),ztv_est(ig,l),ztva_est(ig,l),ztv(ig,l), &
-   &                                   zinv,zlmelup,zbuoy(ig,l),zbuoyjam(ig,l)
                 else 
                    ztv_est(ig,l)=atv1*zlmel+btv1
                    zbuoyjam(ig,l)=fact_shell*RG*(ztva_est(ig,l)-ztv_est(ig,l))/ztv_est(ig,l) & 
     &                           +(1.-fact_shell)*zbuoy(ig,l)
-                 print*,'on est pass?? par l??3',l,lt,ztv1,ztv2,ztv(ig,lt),ztv_est(ig,l),ztva_est(ig,l),ztv(ig,l), &
-   &                                   zinv,zlmelup,zbuoy(ig,l),zbuoyjam(ig,l) 
                 endif
 
@@ -392,6 +386,4 @@
                 endif
 
-                 print*,'on est pass?? par l??4',l,lt,ztv1,ztv2,ztv(ig,lt),ztv(ig,l),ztva_est(ig,l), &
-   &                                   zlmelup,zbuoy(ig,l),zbuoyjam(ig,l) 
 !          zbuoyjam(ig,l)=fact_shell*RG*(((zlmelup-zltdwn)/zdz)*(ztva_est(ig,l)- & 
 !    &          ztv1)/ztv1+((zltdwn-zlmeldwn)/zdz)*(ztva_est(ig,l)- &
@@ -417,6 +409,4 @@
     &          ztv(ig,lt))/ztv(ig,lt)+((zdz2-lmel)/zdz3)*(ztva_est(ig,l)- &
     &          ztv(ig,lt-1))/ztv(ig,lt-1))+0.*zbuoy(ig,l)
-         print*,'on est pass?? par l??',l,lt,ztv(ig,lt),ztva_est(ig,l),ztv(ig,l), &
-   &                                   zbuoy(ig,l),zbuoyjam(ig,l)
         endif !   if (iflag_thermals_ed.lt.8) then
 
Index: /LMDZ5/branches/testing/libf/phylmd/tilft43.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/tilft43.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/tilft43.F90	(revision 2220)
@@ -3,7 +3,11 @@
 
 SUBROUTINE tlift43(p, t, q, qs, gz, icb, nk, tvp, tpk, clw, nd, nl, kk)
+  IMPLICIT NONE
   REAL gz(nd), tpk(nd), clw(nd), p(nd)
   REAL t(nd), q(nd), qs(nd), tvp(nd), lv0
-
+  INTEGER icb, nk, nd, nl, kk
+  REAL cpd, cpv,  cl, g, rowl, gravity, cpvmcl, eps, epsi
+  REAL ah0, cpp, cpinv, tg, qg, alv, s, ahg, tc, denom, es
+  INTEGER i, nst, nsb, j 
   ! ***   ASSIGN VALUES OF THERMODYNAMIC CONSTANTS     ***
 
Index: /LMDZ5/branches/testing/libf/phylmd/tlift.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/tlift.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/tlift.F90	(revision 2220)
@@ -4,10 +4,10 @@
 SUBROUTINE tlift(p, t, rr, rs, gz, plcl, icb, nk, tvp, tpk, clw, nd, nl, &
     dtvpdt1, dtvpdq1)
-
+  IMPLICIT NONE
   ! Argument NK ajoute (jyg) = Niveau de depart de la
   ! convection
-
-  PARAMETER (na=60)
-  REAL gz(nd), tpk(nd), clw(nd)
+  INTEGER icb, nk, nd, nl
+  INTEGER,PARAMETER :: na=60
+  REAL gz(nd), tpk(nd), clw(nd), plcl
   REAL t(nd), rr(nd), rs(nd), tvp(nd), p(nd)
   REAL dtvpdt1(nd), dtvpdq1(nd) ! Derivatives of parcel virtual
@@ -17,5 +17,8 @@
   REAL dtpdt1(na), dtpdq1(na) ! Derivatives of parcel temperature
   ! wrt T1 and Q1
-
+  REAL gravity, cpd, cpv, cl, ci, cpvmcl, clmci, eps, alv0, alf0
+  REAL cpp, cpinv, ah0, alf, tg, s, ahg, tc, denom, alv, es, esi
+  REAL qsat_new, snew
+  INTEGER icbl, i, imin, j, icb1
 
   LOGICAL ice_conv
Index: /LMDZ5/branches/testing/libf/phylmd/wake.F90
===================================================================
--- /LMDZ5/branches/testing/libf/phylmd/wake.F90	(revision 2219)
+++ /LMDZ5/branches/testing/libf/phylmd/wake.F90	(revision 2220)
@@ -1756,5 +1756,5 @@
   ! a une humidite positive dans la zone (x) et dans la zone (w).
   ! ------------------------------------------------------
-
+  IMPLICIT NONE
 
   ! Input
@@ -1772,4 +1772,5 @@
   REAL epsilon
   ! DATA epsilon/1.e-15/
+  INTEGER i,k
 
   DO k = 1, nl
Index: /LMDZ5/branches/testing/makelmdz
===================================================================
--- /LMDZ5/branches/testing/makelmdz	(revision 2219)
+++ /LMDZ5/branches/testing/makelmdz	(revision 2220)
@@ -311,4 +311,10 @@
 else
   FLAG_PARA="$paramem"
+  if [[ $paramem == par ]]
+  then
+      echo "The version of the dynamics in dyn3dpar is no longer updated."
+      echo "You should use option \"-mem\"."
+      exit 1
+  fi     
 fi
 
@@ -470,4 +476,9 @@
 cd $LIBFGCM/grid/dimension
 ./makdim $dim
+if (($? != 0))
+then
+    exit 1
+fi
+
 cat $LIBFGCM/grid/dimensions.h
 cd $LMDGCM
Index: /LMDZ5/branches/testing/makelmdz_fcm
===================================================================
--- /LMDZ5/branches/testing/makelmdz_fcm	(revision 2219)
+++ /LMDZ5/branches/testing/makelmdz_fcm	(revision 2220)
@@ -12,4 +12,5 @@
 #
 ##set -x
+set -e
 ########################################################################
 # options par defaut pour la commande make
@@ -461,5 +462,9 @@
   if [[ "$paramem" == "mem" ]]
   then
-   SUFF_NAME=${SUFF_NAME}_${paramem}
+      SUFF_NAME=${SUFF_NAME}_${paramem}
+  else
+      echo "The version of the dynamics in dyn3dpar is no longer updated."
+      echo "You should use option \"-mem\"."
+      exit 1
   fi
 else
